###

###

###

###

###

###

###

    PUTPWENT(3)         Linux Programmer's Manual         PUTPWENT(3)

    NAME
           putpwent - write a password file entry

    SYNOPSIS
           #include <pwd.h>
           #include <stdio.h>
           #include <sys/types.h>

           int putpwent(const struct passwd *p, FILE *stream);

    DESCRIPTION
           The  putpwent()  function writes a password entry from the
           structure p in the file associated with stream.

           The passwd structure is defined in <pwd.h> as follows:

                  struct passwd {
                          char    *pw_name;       /* user name */
                          char    *pw_passwd;     /* user password */
                          uid_t   pw_uid;         /* user id */
                          gid_t   pw_gid;         /* group id */
                          char    *pw_gecos;      /* real name */
                          char    *pw_dir;        /* home directory */
                          char    *pw_shell;      /* shell program */
                  };

    RETURN VALUE
           The putpwent() function returns 0 on success, or -1 if  an
           error occurs.

    ERRORS
           EINVAL Invalid (NULL) argument given.

    CONFORMING TO
           SVID 3

### SEE ALSO

fgetpwent, getpwent, setpwent, endpwent, getpwuid, getpw,

###

    GNU                       April 9, 1993                         1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0